//
//	MBsysTran - Release 8.1
//
//	Copyright 
//	Universite catholique de Louvain (UCLouvain) 
//	Mechatronic, Electrical Energy, and Dynamic systems (MEED Division) 
//	2, Place du Levant
//	1348 Louvain-la-Neuve 
//	Belgium 
//
//	http://www.robotran.be 
//
//	==> Generation Date: Tue Jan 30 09:17:41 2024
//
//	==> Project name: delta_fisette_c
//
//	==> Number of joints: 23
//
//	==> Function: F7 - Link Forces (1D)
//
//	==> Git hash: 9034ed7a9ff7b13e6df2e2fd994ccfc949192e56
//
//	==> Input XML
//

#include <math.h> 

#include "mbs_data.h"

#include "mbs_project_interface.h"

// #include "mbs_link_xml_delta_fisette_c.h"  // future development
// #include "mbs_link_hard_delta_fisette_c.h" // future development
 
void mbs_link(double **frc, double **trq, double *Flink, double *Z, double *Zd,
MbsData *s, double tsim)
{
#include "mbs_link_delta_fisette_c.h"

double *q, *qd;
double **l, **dpt;

frc = s->frc;
trq = s->trq;
Z = s->Z;
Zd = s->Zd;

q = s->q;
qd = s->qd;

dpt = s->dpt;
l  = s->l;

// Number of continuation lines = 0

#include "mbs_message.h"

mbs_msg("This symbolic file should not be called. Please regenerate your symbolic files. Exiting.\n");
s->flag_stop = 1;
return;
}
